{ config, pkgs, ... }:

{
  deuxfleurs.site_name = "neptune";
  deuxfleurs.lan_default_gateway = "192.168.1.1";
  deuxfleurs.ipv6_default_gateway = "2a06:a003:d019:1::1";
  deuxfleurs.lan_ip_prefix_length = 24;
  deuxfleurs.ipv6_prefix_length = 64;
  deuxfleurs.nameservers = [ "192.168.1.1" ];

  networking.firewall.allowedTCPPorts = [ 80 443 ];

  services.cron = {
    enable = true;
    systemCronJobs = [
      "0 2 * * * root nix-collect-garbage --delete-older-than 10d >> /root/nix_gc_log 2>&1"
      "30 2 1 * * root docker run --rm -v /var/lib/drone/nix:/nix nixpkgs/nix:nixos-21.05 nix-collect-garbage --delete-older-than 30d >> /root/drone_nix_gc_log 2>&1"
    ];
  };
}
